# Class FileSource | AnthropicClient
Represents a file source in the Anthropic API.

# Class FileSource

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a file source in the Anthropic API.

    public class FileSource : Source

Inheritance
  object
  Source
  FileSource

Inherited Members
  Source.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### FileSource()

Initializes a new instance of the FileSource class.

    public FileSource()

### FileSource(string)

Initializes a new instance of the FileSource class with a specified file ID.

    public FileSource(string id)

#### Parameters

`id` string

  The unique identifier for the file source.

## Properties

### Id

Gets or sets the unique identifier for the file source.

    [JsonPropertyName("file_id")]
    public string Id { get; init; }

#### Property Value

string